org.json

## Class Property

- java.lang.Object
- - org.json.Property

    public class Property
    extends Object

Converts a Property file data into JSONObject and back.

Version:
  2015-05-05
Author:
  JSON.org

### Constructor Summary

Constructors
Constructor and Description
`Property()` Constructs a new Property object.

### Method Summary

All Methods Static Methods Concrete Methods
`static JSONObject` `toJSONObject(Properties properties)` Converts a property file object into a JSONObject.
`static Properties` `toProperties(JSONObject jo)` Converts the JSONObject into a property file object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Property

    public Property()

Constructs a new Property object.

### Method Detail

#### toJSONObject

    public static JSONObject toJSONObject(Properties properties)
                                   throws JSONException

Converts a property file object into a JSONObject. The property file object is a table of name value pairs.

Parameters:
  `properties` - java.util.Properties
Returns:
  JSONObject
Throws:
  `JSONException` - if a called function has an error

#### toProperties

    public static Properties toProperties(JSONObject jo)
                                   throws JSONException

Converts the JSONObject into a property file object.

Parameters:
  `jo` - JSONObject
Returns:
  java.util.Properties
Throws:
  `JSONException` - if a called function has an error